Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 34 n'est plus maintenu

#1 01/02/2014 12:39:28

Yannick@ekiga
Rédacteur Wiki
Rédacteur Wiki
Inscription : 18/12/2013
Messages : 251

[ScreenCast] SimpleScreenRecorder

Tutoriel pour installer SSR (SimpleScreenRecorder) qui permet d'enregistrer son bureau, une fenêtre, ce qui est autour du curseur ou des jeux openGL (vidéo et audio).
Site web : http://www.maartenbaert.be/simplescreenrecorder/

1 On télécharge les sources du logiciel :
https://github.com/MaartenBaert/ssr/arc … ter.tar.gz
et on les extrait quelque part.

2 On installe les prérequis pour la compilation sur un système 64 bits (ce programme gère les logiciels 64 et 32 bits, en particuliers les jeux openGL en 32bits de steam ou autres) :

su -c 'yum install ffmpeg-devel qt4-devel alsa-lib-devel pulseaudio-libs-devel jack-audio-connection-kit-devel gcc make cmake gcc-c++ glibc-devel.i686 libgcc.i686 libX11-devel.i686 libXfixes-devel.i686 mesa-libGLU-devel.i686 mesa-libGL-devel.i686'

3 Dans le dossier des sources (cf. 1) on modifie le fichier "simple-build-and-install" pour remplacer les "sudo" par des "su -c '...'" ce qui donne ceci sur ma machine au moment ou j'ai fait ceci :

#!/bin/bash
# Run this if you just want to build and install the program and you don't care about all the details.
# Any additional arguments will be passed on to 'configure'.
# If you want to modify configure.ac or Makefile.am, you will need the correct version of autotools, and you should
# run configure (or this script) with --enable-maintainer-mode.

set -e
cd "$( dirname "${BASH_SOURCE[0]}" )"

if [ x"$( whoami )" = x"root" ]; then
	echo "Error: don't run this script as root, this will mess up file permissions"
	exit 1
fi

echo "Detecting x86/x64 ..."
case "$( uname -m )" in
	"i386" )	ENABLE_X86_ASM="--enable-x86-asm" ;;
	"i486" )	ENABLE_X86_ASM="--enable-x86-asm" ;;
	"i586" )	ENABLE_X86_ASM="--enable-x86-asm" ;;
	"i686" )	ENABLE_X86_ASM="--enable-x86-asm" ;;
	"x86_64" )	ENABLE_X86_ASM="--enable-x86-asm" ;;
	* )			ENABLE_X86_ASM="--disable-x86-asm --disable-glinjectlib" ;;
esac
echo "x86/x64 = $ENABLE_X86_ASM"

export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib64/pkgconfig:/usr/local/lib/pkgconfig

echo "Detecting ffmpeg/libav ..."
if ! pkg-config --exists libavcodec; then
	echo "Error: libavcodec development package not found, make sure ffmpeg or libav development packages are installed."
	exit 1
fi
LIBAVCODEC_INCLUDE_DIR=`pkg-config --variable=includedir libavcodec`
HAS_FFMPEG=$( grep -c "This file is part of FFmpeg." ${LIBAVCODEC_INCLUDE_DIR}/libavcodec/avcodec.h || true )
HAS_LIBAV=$( grep -c "This file is part of Libav." ${LIBAVCODEC_INCLUDE_DIR}/libavcodec/avcodec.h || true )
if [ $HAS_FFMPEG -gt 0 ]; then
	if [ $HAS_LIBAV -gt 0 ]; then
		echo "Fatal: Detected ffmpeg AND libav, this should not happen!"
		exit 1
	else
		echo "Detected ffmpeg."
		ENABLE_FFMPEG_VERSIONS="--enable-ffmpeg-versions"
	fi
else
	if [ $HAS_LIBAV -gt 0 ]; then
		echo "Detected libav."
		ENABLE_FFMPEG_VERSIONS="--disable-ffmpeg-versions"
	else
		echo "Fatal: Detection failed."
		exit 1
	fi
fi

CONFIGURE_OPTIONS="--disable-assert $ENABLE_X86_ASM $ENABLE_FFMPEG_VERSIONS"

export CPPFLAGS=""
export CFLAGS="-Wall -O2 -pipe"
export CXXFLAGS="-Wall -O2 -pipe"
export LDFLAGS=""

export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I libavformat libavcodec libavutil libswscale`"
export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L libavformat libavcodec libavutil libswscale`"

mkdir -p build
cd build
echo "Configuring ..."
if [ x"$( uname -m )" = x"x86_64" ]; then

  if [ -d "/usr/lib32" ]; then
    LIB32DIR=/usr/lib32
  else
    LIB32DIR=/usr/lib
  fi

  if [ -d "/usr/lib64" ]; then
    LIB64DIR=/usr/lib64
  else
    LIB64DIR=/usr/lib
  fi

  if [ x"$LIB32DIR" == x"$LIB64DIR" ]; then
    echo "Fatal: Same lib directories found for 32-bit and 64-bit. This should not happen!"
    exit 1
  fi

  PKG_CONFIG_PATH="$LIB64DIR/pkgconfig" \
    ../configure --prefix=/usr --libdir=$LIB64DIR $CONFIGURE_OPTIONS "$@"
else
  ../configure --prefix=/usr $CONFIGURE_OPTIONS "$@"
fi

echo "Compiling ..."
make -j "$( grep -c "^processor" /proc/cpuinfo )"
cd ..

if [ x"$( uname -m )" = x"x86_64" ]; then
	mkdir -p build32
	cd build32
	echo "Configuring 32-bit GLInject library ..."
	CC="gcc -m32" CXX="g++ -m32" PKG_CONFIG_PATH="$LIB32DIR/pkgconfig" \
		../configure --prefix=/usr --libdir=$LIB32DIR --disable-ssrprogram $CONFIGURE_OPTIONS "$@"
	echo "Compiling 32-bit GLInject library ..."
	make -j "$( grep -c "^processor" /proc/cpuinfo )"
	cd ..
fi

cd build
echo "Installing ..."
su -c 'make install'
cd ..

if [ x$( uname -m ) = x"x86_64" ]; then
	cd build32
	echo "Installing 32-bit GLInject library ..."
	su -c 'make install'
	cd ..
fi

echo "Running post-install script ..."
su -c './postinstall'

echo "Done."

4 On se place en dans le dossier des sources et on lance ce script modifié :

$ ./simple-build-and-install

Le script demandera le mot de passe root plusieurs fois quand il en aura besoin.

5 Le logiciel doit maintenant être disponible.

---------------
Méthode alternative (non testée) :
https://github.com/fastrizwaan/Fedora-User-Repository

Dernière modification par Yannick@ekiga (01/02/2014 13:19:59)

Hors ligne

#2 01/02/2014 13:56:02

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 611

Re : [ScreenCast] SimpleScreenRecorder

ne serait-il pas plus propre d'essayer de construire le rpm à partir de source ?
Je vois des sources pour suse et pclinuxos...
Gérard


F36, Kde/plasma (X11), ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#3 01/02/2014 14:07:44

Yannick@ekiga
Rédacteur Wiki
Rédacteur Wiki
Inscription : 18/12/2013
Messages : 251

Re : [ScreenCast] SimpleScreenRecorder

Salut,

Je débarque fraichement dans le monde des rpm, donc pas encore pour moi... Mais dans l'alternative il fait avec un rpm...

Dernière modification par Yannick@ekiga (02/02/2014 16:34:46)

Hors ligne

Pied de page des forums